﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace RegionTree
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            treeView1.ExpandAll();
        }

        private void treeView1_AfterSelect(object sender, TreeViewEventArgs e)
        {
            textBox1.Text = e.Node.Text;  //매개변수를 이용한 현재 선택된 노드 얻기 
            // textBox1.Text = treeView1.SelectedNode.Text;  //선택된 노드를 얻기위한 속성이용
            if (e.Node.Parent != null)
                textBox1.Text = e.Node.Parent.Text;
            textBox1.Text = e.Node.FullPath;  //현재노드까지 루트로부터 전체 경로 얻기 
        }

        private void treeView1_AfterExpand(object sender, TreeViewEventArgs e)
        {
            MessageBox.Show("확장되었습니다", "AfterExpand Event");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            treeView1.SelectedNode.Nodes.Add(textBox2.Text);            
        }

        private void button2_Click(object sender, EventArgs e)
        {
            TreeNode currNode = treeView1.SelectedNode;      //현재 선택 노드
            if (currNode.PrevNode != null)
            {
                treeView1.SelectedNode = currNode.PrevNode;  //현재 선택 노드의 이전 노드
                treeView1.Focus();
            }
            else
            {
                MessageBox.Show("이전노드는 존재하지 않습니다", "PreNode");
            }
        }
    }
}
